<?php
// $Id: chkmsg.php,v 1.3.2.2 2006/10/11 21:57:50 darrenoh Exp $

/**
 * @file
 * Page to allow users to receive chatbox invitations.
 *
 * This page was developed to be as "lightweight" as possible
 * since it will be called repeatedly by people both in and
 * out of the chatroom.  Therefore it does not use the full
 * Drupal framework.
 */
// Change to Drupal root directory from any directory.
$chatbox_base = urldecode($_GET['chatbox_base']);
$depth = substr_count($chatbox_base, '/');
chdir(str_repeat('../', $depth+1));

require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_DATABASE);

$uid = $_GET['uid'];

if (! is_numeric($uid)) {
  echo "Invalid uid";
  exit;
}

$qr = db_query('SELECT iuid FROM {chatinvite} WHERE uid = %d', $uid);
$iuid = db_result($qr);

if ($iuid) {
  echo '<html>
  <body>
    <script language="JavaScript" type="text/javascript">
      var win = window.open(\'' . $base_url . '/index.php?q=chatbox/invite/' .
      $iuid . '\',\'chat_invite\',\'top=300,left=240,width=220,height=120\');
      win.focus();
    </script>
  </body>
</html>';
}

$time = time();
if (is_numeric($iuid)) {
  db_query('UPDATE {chatinvite} SET timestamp = %d, iuid = 0 WHERE uid = %d', $time, $uid);
} else {
  db_query('INSERT INTO {chatinvite} SET uid = %d, timestamp = %d', $uid, $time);
}

